### Method

# Ide Buffer get_symbol_at_location_async

#### Declaration

    void
    ide_buffer_get_symbol_at_location_async (
      IdeBuffer* self,
      const GtkTextIter* location,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously get a possible symbol at `location`.

Available since: | 3.32

#### Parameters

`location` | `GtkTextIter`
| A `GtkTextIter` indicating a position to search for a symbol.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| A #gpointer to hold user data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.